osl::eval::ml::PtypeYY Struct Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 2592 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, const MultiInt &last_values)
template<int Sign>
static void | adjust (int black, int white, MultiInt &out)

## Static Public Attributes

static CArray< MultiInt, 2592 > | table

## Static Private Member Functions

template<Player KingPlayer>
static int | index (const Piece p, const Square king)
template<Player KingPlayer>
static int | index (const PtypeO ptypeO, const Square position, const Square king)

## Detailed Description

Definition at line 93 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 95 of file kingTable.h.

## Member Function Documentation

## adjust()

template<int Sign>

void osl::eval::ml::PtypeYY::adjust | ( | int | black,
|  | int | white,
|  | MultiInt & | out )

inline static

Definition at line 321 of file kingTable.cc.

References table.

Referenced by eval(), and evalWithUpdate().

## eval()

MultiInt osl::eval::ml::PtypeYY::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 330 of file kingTable.cc.

References adjust(), osl::BLACK, index(), osl::Piece::isOnBoard(), osl::SimpleState::kingSquare(), osl::SimpleState::pieceOf(), osl::Piece::SIZE, and osl::WHITE.

Referenced by evalWithUpdate(), and osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## evalWithUpdate()

MultiInt osl::eval::ml::PtypeYY::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const MultiInt & | last_values )

static

Definition at line 351 of file kingTable.cc.

References adjust(), osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), eval(), osl::Move::from(), index(), osl::Move::isDrop(), osl::KING, osl::SimpleState::kingSquare(), osl::newPtypeO(), osl::Move::oldPtypeO(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Move::ptypeO(), osl::Move::to(), osl::WHITE, and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

## index() [1/2]

template<Player KingPlayer>

int osl::eval::ml::PtypeYY::index | ( | const Piece | p,
|  | const Square | king )

inline static private

Definition at line 107 of file kingTable.h.

References index(), osl::Piece::ptypeO(), and osl::Piece::square().

Referenced by eval(), evalWithUpdate(), and index().

## index() [2/2]

template<Player KingPlayer>

int osl::eval::ml::PtypeYY::index | ( | const PtypeO | ptypeO,
|  | const Square | position,
|  | const Square | king )

inline static private

Definition at line 113 of file kingTable.h.

References osl::alt(), osl::BLACK, osl::PTYPEO_MIN, and osl::Square::y().

## setUp()

void osl::eval::ml::PtypeYY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 310 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 2592 > osl::eval::ml::PtypeYY::table

static

Definition at line 102 of file kingTable.h.

Referenced by adjust(), and setUp().

The documentation for this struct was generated from the following files:

- kingTable.h
- kingTable.cc